import { BaseEntity } from '@mikro-orm/core';
export declare class RequestEntity extends BaseEntity<RequestEntity, 'id'> {
    id: string;
    method: string;
    path: string;
    params: Record<string, any>;
    query: Record<string, any>;
    body: Record<string, any>;
    headers: Record<string, any>;
    status: number;
    error: boolean;
    ip?: string;
    responseBody?: Record<string, any>;
    timestamp: Date;
    executionTime: number;
    customData: Record<string, any>;
    userId?: string;
}
//# sourceMappingURL=request.entity.d.ts.map