import { ConsoleLogger } from '@nestjs/common';
import { NLoggerOptions } from './logger.interfaces';
import { NLoggerService } from './logger.service';
export declare class NLogger extends ConsoleLogger {
    private readonly opts;
    private readonly loggerService;
    constructor(opts: NLoggerOptions, loggerService: NLoggerService);
    log(message: any, context?: string): void;
    log(message: any, ...optionalParams: [...any, string?]): void;
    error(message: any, stackOrContext?: string): void;
    error(message: any, stack?: string, context?: string): void;
    error(message: any, ...optionalParams: [...any, string?, string?]): void;
    warn(message: any, context?: string): void;
    warn(message: any, ...optionalParams: [...any, string?]): void;
    debug(message: any, context?: string): void;
    debug(message: any, ...optionalParams: [...any, string?]): void;
    verbose(message: any, context?: string): void;
    verbose(message: any, ...optionalParams: [...any, string?]): void;
    private pushToDb;
    private getMessages;
    private getContext;
    protected formatPid(pid: number): string;
}
//# sourceMappingURL=logger.logger.d.ts.map