import { NestMiddleware } from '@nestjs/common';
import { NextFunction, Request, Response } from 'express';
import { ClsService } from 'nestjs-cls';
import { NLoggerOptions } from './logger.interfaces';
import { NLoggerService } from './logger.service';
export declare class NLoggerMiddleware implements NestMiddleware {
    private readonly options;
    private readonly cls;
    private readonly service;
    constructor(options: NLoggerOptions, cls: ClsService, service: NLoggerService);
    use(req: Request, res: Response, next: NextFunction): Promise<void>;
    private beforeRequest;
    private afterRequest;
    private createRequestLog;
    private createConsoleLog;
    private safeJsonParse;
    private isErrorResponse;
    private getHeaders;
    private responseBodyInterceptor;
    private clearEmptyValues;
    private any;
    private getRequestText;
    private withColor;
    private matchColorForStatus;
    private hideProperties;
}
//# sourceMappingURL=logger.middleware.d.ts.map