import { DynamicModule, MiddlewareConsumer, NestModule } from '@nestjs/common';
import { ASYNC_OPTIONS_TYPE, ConfigurableModuleClass, OPTIONS_TYPE } from './logger.definition';
import { NLoggerOptions } from './logger.interfaces';
export declare class NLoggerModule extends ConfigurableModuleClass implements NestModule {
    private readonly options;
    constructor(options: NLoggerOptions);
    static forRoot(options: typeof OPTIONS_TYPE): DynamicModule;
    static forRootAsync(options: typeof ASYNC_OPTIONS_TYPE): DynamicModule;
    configure(consumer: MiddlewareConsumer): void;
}
//# sourceMappingURL=logger.module.d.ts.map