import { LoggerService, OnApplicationBootstrap, OnApplicationShutdown } from '@nestjs/common';
import { ClsService } from 'nestjs-cls';
import { DatabaseItem, NLoggerOptions } from './logger.interfaces';
export declare class NLoggerService implements OnApplicationBootstrap, OnApplicationShutdown {
    private readonly options;
    private readonly clsService;
    private orm;
    private queue;
    private interval;
    winston: LoggerService | null;
    constructor(options: NLoggerOptions, clsService: ClsService);
    onApplicationBootstrap(): Promise<void>;
    onApplicationShutdown(): Promise<void>;
    pushDatabaseItem(item: DatabaseItem): void;
    private insertDatabaseItems;
    private insertFilteredItems;
    private getConnectionConfig;
    private createWinstonInstance;
}
//# sourceMappingURL=logger.service.d.ts.map