"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NLoggerModule = void 0;
const common_1 = require("@nestjs/common");
const logger_definition_1 = require("./logger.definition");
const logger_logger_1 = require("./logger.logger");
const logger_middleware_1 = require("./logger.middleware");
const logger_service_1 = require("./logger.service");
let NLoggerModule = class NLoggerModule extends logger_definition_1.ConfigurableModuleClass {
    constructor(options) {
        super();
        this.options = options;
    }
    static forRoot(options) {
        var _a;
        const base = super.forRoot(options);
        return Object.assign(Object.assign({}, base), { providers: [...((_a = base.providers) !== null && _a !== void 0 ? _a : []), logger_service_1.NLoggerService, logger_middleware_1.NLoggerMiddleware, logger_logger_1.NLogger] });
    }
    static forRootAsync(options) {
        var _a;
        const base = super.forRootAsync(options);
        return Object.assign(Object.assign({}, base), { providers: [...((_a = base.providers) !== null && _a !== void 0 ? _a : []), logger_service_1.NLoggerService, logger_middleware_1.NLoggerMiddleware, logger_logger_1.NLogger] });
    }
    configure(consumer) {
        var _a;
        if ((_a = this.options.mountMiddleware) !== null && _a !== void 0 ? _a : true) {
            consumer.apply(logger_middleware_1.NLoggerMiddleware).forRoutes('*');
        }
    }
};
exports.NLoggerModule = NLoggerModule;
exports.NLoggerModule = NLoggerModule = __decorate([
    __param(0, (0, common_1.Inject)(logger_definition_1.MODULE_OPTIONS_TOKEN)),
    __metadata("design:paramtypes", [Object])
], NLoggerModule);
//# sourceMappingURL=logger.module.js.map